"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isHotkey = _interopRequireDefault(require("is-hotkey"));

var _slate = require("slate");

var _core = require("@sheets-editor/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function onKeyDownSlashCommands(editor, event) {
  if ((0, _isHotkey.default)('/', event)) {
    console.log('called');

    if (editor.selection && _slate.Node.has(editor, editor.selection.focus.path) && _slate.Node.parent(editor, editor.selection.focus.path).type !== 'slash-query') {
      console.log('Node.get(editor, editor.selection.focus.path)', _slate.Node.get(editor, editor.selection.focus.path));
      event.preventDefault();

      _core.Transforms.insertText(editor, '/​');

      _core.Transforms.select(editor, {
        anchor: { ...editor.selection.anchor,
          offset: editor.selection.anchor.offset - 2
        },
        focus: editor.selection.focus
      });

      _core.Transforms.wrapNodes(editor, {
        type: 'slash-query',
        children: []
      }, {
        split: true
      });

      _core.Transforms.collapse(editor, {
        edge: 'start'
      });

      _core.Transforms.move(editor, {
        unit: 'character',
        distance: 1
      });
    }
  } else if ((0, _isHotkey.default)('Enter', event)) {
    if (editor.selection && _slate.Node.has(editor, editor.selection.focus.path) && _slate.Node.parent(editor, editor.selection.focus.path).type === 'slash-query') {
      event.preventDefault();
      return true;
      console.log('called slash Enter');
    }
  }
}

var _default = onKeyDownSlashCommands;
exports.default = _default;
//# sourceMappingURL=onKeyDownSlashCommands.js.map